import { request } from 'umi';


// 获取人员信息
export async function getExaminationById(params: {
  examination_id: number;
}) {
  return request(' /dsideal_yy/zygh/training/examination/getExaminationById', {
    params,
  });
}
export async function getExaminationRuleById(params: {
  examination_id: number;
})
{
  return request('/dsideal_yy/zygh/training/person/getExaminationRuleById', {
    params,
  });
}

//13 开始考试前获取试卷id
export async function getPersonPaperId(params: {

}): Promise<{ data: { list: CardListItemDataType[] } }> {
  return request(' /dsideal_yy/zygh/training/person/getPersonPaperId', {
    params,
  });
}
//获取当前时间
export async function getCurrentDate(params: {
  //count: number;
}): Promise<{ data: { list: CardListItemDataType[] } }> {
  return request('/dsideal_yy/zygh/training/examination/getCurrentDate', {
    params,
  });
}

//获取准考证号
export async function getExaminationPersonApplyInfo(params: {

}): Promise<{ data: { list: CardListItemDataType[] } }> {
  return request('/dsideal_yy/zygh/training/person/getExaminationPersonApplyInfo', {
    params,
  });
}

//
export async function savePersonAnswerTime(params: {

}): Promise<{ data: { list: CardListItemDataType[] } }> {
  return request('/dsideal_yy/zygh/training/examination/savePersonAnswerTime', {
    params,
  });
}












